Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.testmodel
Class RecordingLifecycle

    java.lang.Object
      org.picocontainer.testmodel.RecordingLifecycle

All Implemented Interfaces:
  org.picocontainer.Disposable, org.picocontainer.Startable

Direct Known Subclasses:
  RecordingLifecycle.FiveTriesToBeMalicious, RecordingLifecycle.Four, RecordingLifecycle.One, RecordingLifecycle.Three, RecordingLifecycle.Two

    public abstract class RecordingLifecycle

extends Object
implements org.picocontainer.Startable, org.picocontainer.Disposable

Nested Class Summary
`static class` | `RecordingLifecycle.FiveTriesToBeMalicious`
`static class` | `RecordingLifecycle.Four`
`static class` | `RecordingLifecycle.One`
`static interface` | `RecordingLifecycle.Recorder`
`static class` | `RecordingLifecycle.Three`
`static class` | `RecordingLifecycle.Two`

Constructor Summary
`protected` | `RecordingLifecycle(StringBuffer recording)`

Method Summary
`void` | `dispose()`
`String` | `recording()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordingLifecycle

    protected RecordingLifecycle(StringBuffer recording)

Method Detail

### start

    public void start()

  Specified by:
    `start` in interface `org.picocontainer.Startable`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.picocontainer.Startable`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.picocontainer.Disposable`

### recording

    public String recording()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.